Bug 147808 - php curl open_basedir bypass
php curl open_basedir bypass
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
impact=low,public=20041215
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-11 11:02 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 14:53:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from ubuntu to fix this issue (499 bytes, patch)
2005-02-11 11:02 EST, Josh Bressers
no flags Details | Diff
Updated patch for CAN-2004-1392 (1.42 KB, patch)
2005-02-26 11:45 EST, Marc Deslauriers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-02-11 11:02:40 EST
PHP 4.0 with cURL functions allows remote attackers to bypass the open_basedir
setting and read arbitrary files via a file: URL argument to the curl_init function.

You can verify this issue with this simple php example.

<?php
$ch = curl_init("file:///etc/parla");
$file=curl_exec($ch);
echo $file
?>
Comment 1 Josh Bressers 2005-02-11 11:02:40 EST
Created attachment 110975 [details]
Patch from ubuntu to fix this issue
Comment 2 Josh Bressers 2005-02-11 11:06:12 EST
This issue should also affect RHEL2.1.
Comment 3 Marc Deslauriers 2005-02-26 11:45:13 EST
Created attachment 111457 [details]
Updated patch for CAN-2004-1392

from Ubuntu advisory USN-66-2
Comment 4 Joe Orton 2005-03-02 11:07:54 EST
Safe mode bypasses are not considered to have "security" severity,
since the PHP interpreter does not really provide a sandbox in which
scripts are executed.
Comment 5 Josh Bressers 2005-04-28 14:53:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-405.html

Note You need to log in before you can comment on or make changes to this bug.